#include <Wire.h>
int num=0;
int sw[10]={0,0,0,0,0,0,0,0,0,0}; // リレースイッチの初期状態

void setup() {
  Serial.begin(9600);
  for (int i=0; i<8; i++){
    pinMode(i+2,OUTPUT); // 出力ピンはD2~1D1
    digitalWrite(i+2,sw[i]);
  }
  delay(100);
}

void loop() {
  int inputchar;      //入力状態の読み取りに使う
  inputchar = Serial.read();  //シリアル通信で送信された値を読み取る
  if(inputchar!=-1){
    num=inputchar-48; //文字コードから数値に変換
    if (num>=0 && num<=9){
      sw[num]=1-sw[num]; // リレースイッチのON/OFF切替
      digitalWrite(num+2,sw[num]);
      delay(100);
    }
  }
}